function [t, y] = expEM(T, h, y0, doPlot)

% INPUT: T - time interval
%        h - step size   
%        y0 - vector of initial values
% OUTPUT: t - time grid
%         y - vector of approximate solutions


if nargin < 4;
    doPlot = 0;
end

% Initialise the variables
t = % Time grid  
N = % Number of steps
y = % Set up the solution vector

f = % Right hand side function
df = % Jacobian of the right hand side

% Compute the solution
  for j = 
    % Hint: You may find the function expm useful when computing the
    % solution
  end

% Taking doPlot = 1 you can plot your solution and the explicit solution and
% compare the two
if doPlot;
    sol = @(t) [exp(cos(t)); sin(t).*exp(cos(t))];
    tExact = linspace(T(1), T(2), 1000);
    yExact = sol(tExact);

    figure;
    hold on;
    plot(tExact, yExact(1, :), 'b', tExact, yExact(2, :), 'g');
    plot(t, y(1,:), 'o', t, y(2,:), '*');
    title('Exponential Euler');
    xlabel('t');
    ylabel('y');
    legend('y(1) exact', 'y(2) exact', 'y(1) exp Euler', 'y(2) exp Euler');
end


